<% @Page Language="C#" %>
<% @Import Namespace="System.Data" %>
<% @Import Namespace="System.IO" %>

<script language="C#" runat="server">

void Page_Load(Object src, EventArgs e) {

    DataSet ds = new DataSet();

    FileStream fs = new FileStream( Server.MapPath("links.xml"),
        FileMode.Open, FileAccess.Read );
    StreamReader reader = new StreamReader( fs );
    ds.ReadXml( reader );

    fs.Close();
    DataView Source = new DataView( ds.Tables[0] );
    MyRepeater.DataSource = Source;
    MyRepeater.DataBind();

}

</script>

<HTML>
<HEAD>
    <TITLE>Basic Repeater Example</TITLE>
</HEAD>
<BODY>

<h1>Basic Repeater Example</h1>
<hr>

<asp:Repeater id="MyRepeater" runat="server">

    <ItemTemplate>
        <asp:Hyperlink runat="server"
            NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "Link") %>'
            Text='<%# DataBinder.Eval(Container.DataItem, "Text") %>'/>
        <br>
    </ItemTemplate>

</asp:Repeater>

</BODY>
</HTML>
