<% @Page Language="C#" %>

<script language="C#" runat="server">

    void Page_Load(Object sender, EventArgs e) {

        if (!Page.IsPostBack) {

            Hashtable h = new Hashtable();
            h.Add ("Product One", "13");
            h.Add ("Product Two", "11");
            h.Add ("Product Three", "2");
            h.Add ("Product Four", "23");

            MyDataGrid.DataSource = h;
            MyDataGrid.DataBind();
        }

    }

</script>

<HTML>
<HEAD>
    <TITLE>Data Binding to a Hashtable</TITLE>
</HEAD>
<BODY>

<h1>Data Binding to a Hashtable</h1>
<hr>

<asp:DataGrid id="MyDataGrid" runat="server" AutoGenerateColumns="false">

  <Columns>

      <asp:TemplateColumn HeaderText="Product">

        <ItemTemplate>
            <%# ((DictionaryEntry)Container.DataItem).Key %>
        </ItemTemplate>

      </asp:TemplateColumn>

      <asp:TemplateColumn HeaderText="Quantity">

        <ItemTemplate>
              <%# ((DictionaryEntry)Container.DataItem).Value %>
        </ItemTemplate>

      </asp:TemplateColumn>

  </Columns>

</asp:DataGrid>

</BODY>
</HTML>
