<% @Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->
    
    <script language="C#" runat="server" >
      void Page_Load(Object Source, EventArgs E)
      {
        if(IsPostBack==true) {
          
         string[] fileArray = new string[Request.Files.Count];
         fileArray = Request.Files.AllKeys; 

         //For simplicity of presentation, only look at first file
         fileName.Text = Request.Files.Get(0).FileName;
         fileSize.Text = Request.Files.Get(0).ContentLength.ToString();
         fileType.Text = Request.Files.Get(0).ContentType;

         try {
            Request.Files.Get(0).SaveAs(txtSaveLocation.Text);
         }
         catch( Exception e) {
         }
        }
      }
    </script>
    
</HEAD>
<BODY>

<h1>Uploading Files</h1>
<hr>

<form enctype="multipart/form-data" runat="server">
  <p>
  File To Upload: <br>
  <input type="file" id="fileUpload" runat=server>
  </p>
  
  <p>
  Location to Save on Server (including file name): <br>
  <asp:TextBox id="txtSaveLocation" runat="server"></asp:TextBox><br>
  
  <input type="submit">
  </p>
  <p>
  <h2>File Information:</h2>
  <b>File Name:</b> <asp:label id=fileName runat="server"></asp:label><br>
  <b>File Size:</b> <asp:label id=fileSize runat="server"></asp:label><br>
  <b>File Type:</b> <asp:label id=fileType runat="server"></asp:label><br>
  </p>
</form>
<hr>

</BODY>
</HTML>
