<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
    <title>Selecting An Item in the DataGrid</title>
</head>

<script runat="server">

  void Page_Load(Object sender, EventArgs e) {
    if (!Page.IsPostBack) {
      bindData();
    }
  }

  void bindData() {
    MyDataGrid.DataSource = CreateDataSource();
    MyDataGrid.DataBind();
  }

  void Select_Item(Object sender, EventArgs e) {
    lbl.Text = "You have selected: " +
      MyDataGrid.DataKeys[MyDataGrid.SelectedIndex].ToString();
  }

  ICollection CreateDataSource() {

    // Create Instance of Connection and Command Object
      SqlConnection cn = new 
        SqlConnection("server=localhost;uid=sa;pwd=;database=northwind");
      SqlDataAdapter adapter = new 
        SqlDataAdapter("select * from products", cn);

      DataSet myDataSet = new DataSet();
      adapter.Fill(myDataSet, "products");

      DataView dv = myDataSet.Tables["products"].DefaultView;
        return dv;

  }

</script>

<body>

<h1>Selecting An Item in the DataGrid</h1>
<hr>

<form runat="server" id=form1 name=form1>

<asp:DataGrid
  id="MyDataGrid"
  runat="server"
  AutoGenerateColumns="false"
  DataKeyField="ProductId"
  SelectedItemStyle-Backcolor="yellow"
  HeaderStyle-BackColor="Gray"
  HeaderStyle-ForeColor="white"
  OnSelectedIndexChanged="Select_Item">

  <Columns>

    <asp:ButtonColumn
       HeaderStyle-Width="100px"
       HeaderText="Read Post"
       Text="Select"
       CommandName="Select"/>

    <asp:BoundColumn
       HeaderStyle-Width="100px"
       HeaderText="ID"
       DataField="ProductId"/>

    <asp:BoundColumn
       HeaderStyle-Width="200px"
       HeaderText="Product Name"
       DataField="ProductName"/>

  </Columns>

</asp:DataGrid>

</form>

<asp:label id="lbl" runat="server"/>

</body>
</html>
