<% @Page Language="C#" %>
<% @Import Namespace="System.Data.SqlClient" %>
<% @Import Namespace="System.Data" %>

<script language="C#" runat="server">

void Page_Load(Object Src, EventArgs E) {

  if (!IsPostBack) BindData();

}

void BindData() {

    // Create Instance of Connection and Command Object
    SqlConnection cn = new 
        SqlConnection("server=localhost;uid=sa;pwd=;database=northwind");
    SqlDataAdapter adapter = new SqlDataAdapter("select * from products", cn);

    DataSet myDataSet = new DataSet();
    adapter.Fill(myDataSet, "products");

    mygrid.DataSource = myDataSet.Tables["products"];
    mygrid.DataBind();

}

void PageData(Object src, DataGridPageChangedEventArgs e) {

  mygrid.CurrentPageIndex = e.NewPageIndex;
  BindData();

}

</script>


<HTML>
<HEAD>
    <TITLE>Paging DataGrid Example</TITLE>
</HEAD>
<BODY>

<h1>Paging DataGrid Example</h1>
<HR>

<form runat="server">

  <asp:datagrid id="mygrid" runat="server"
    PagerStyle-Mode="NextPrev"
      PagerStyle-NextPageText="Next Page"
      PagerStyle-PrevPageText="Previous Page"
      PagerStyle-Visible="True"
      AllowPaging="true"
      PageSize="10"
      OnPageIndexChanged="PageData" />

</form>

</BODY>
</HTML>
