<% @Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="VB" runat="server" >
      Sub Page_Load(Source as Object, E as EventArgs)

            'create and open connection to the database
            dim nwConn as new SqlConnection("Data Source=localhost; _
                             User Id=sa; Password=;Initial Catalog=northwind")
            nwConn.Open()

            'create command object and set type of command to stored procedure
            dim nwCommand as new SqlCommand("Ten Most Expensive Products", _
                                             nwConn)
            nwCommand.CommandType = CommandType.StoredProcedure

            'create adapter object and assign command object above to adapter
            dim nwAdapter as object
            nwAdapter = new SqlDataAdapter()
            nwAdapter.SelectCommand = nwCommand

            'create and fill dataset
            dim report as new DataSet()
            nwAdapter.Fill(report, "MostExpensiveItems")

            'Bind to datagrid
            salesReport.DataSource = report.Tables("MostExpensiveItems")
            salesReport.DataBind()
     End Sub
    </script>

</HEAD>
<BODY>

<h1>Returning a DataSet From a Stored Procedure</h1>
<hr>

<form runat="server" id=form1 name=form1>
  <asp:DataGrid id=salesReport runat=server></asp:DataGrid>
</form>
<hr>

</BODY>
</HTML>
