<% @Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="VB" runat="server" >
      Sub Page_Load(Source as Object, E as EventArgs)

        'Create Connection
        dim nwConn as new SqlConnection("Data Source=localhost; User Id=sa; _
                                         Password=;Initial Catalog=northwind")
        nwConn.Open()

        'Create Command
        dim nwCommand as new SqlCommand("SalesByCategory", nwConn)

        'Set as Stored Procedure
        nwCommand.CommandType = CommandType.StoredProcedure

        'Set up parameters
        dim sprocParams as new SqlParameter()
        sprocParams = nwCommand.Parameters.Add( _
                    new SqlParameter("@CategoryName", SqlDbType.NVarChar, 15))
        sprocParams.Direction = ParameterDirection.Input
        sprocParams.Value = "Beverages"

        'Create Adapter and set to current command object
        dim nwAdapter as new SqlDataAdapter()
        nwAdapter.SelectCommand = nwCommand

        'Fill Dataset
        dim report as new DataSet()
        nwAdapter.Fill(report, "SalesByCategory")

        'Bind to DataGrid
        salesReport.DataSource = report.Tables("SalesByCategory")
        salesReport.DataBind()
      End Sub
    </script>

</HEAD>
<BODY>

<h1>Returning Values From a Stored Procedure</h1>
<hr>

<form runat="server" id=form1 name=form1>
  <asp:DataGrid id=salesReport runat="server"></asp:DataGrid>
</form>
<hr>

</BODY>
</HTML>
